A notification plan contains a set of notification actions that Rackspace Cloud Monitoring executes when triggered by an alarm. Rackspace Cloud Monitoring currently supports webhook and email notifications.
Each notification state can contain multiple notification actions. For example, you can create a notification plan that hits a webhook/email to notify your operations team if a warning occurs. However, if the warning escalates to an Error, the notification plan could be configured to hit a different webhook/email that triggers both email and SMS messages to the operations team. The notification plan supports the following states:
Critical
Warning
OK
A notification plan, npTechnicalContactsEmail, is provided by default which will email all of the technical contacts on file for an account whenever there is a state change.
| Name | Description | Validation |
| label | Friendly name for the notification plan. |
|
| critical_state | The notification list to send to when the state is CRITICAL. |
|
| ok_state | The notification list to send to when the state is OK. |
|
| warning_state | The notification list to send to when the state is WARNING. |
|
| Verb | URI | Description | |||||
| POST | /notification_plans | Create a notification plan. | |||||
Normal Response Code: (201) 'Location' header contains a link to the newly created notification plan.
Error Response Codes: 400, 401, 403, 500, 503
Example 4.58. Notification Plan Create Request: XML
<?xml version="1.0" encoding="utf-8"?>
<notification_plan>
<label>Notification Plan 1</label>
<critical_state>
<notification_id>ntAAAA</notification_id>
</critical_state>
<warning_state>
<notification_id>ntCCCCC</notification_id>
</warning_state>
<ok_state>
<notification_id>ntBBBB</notification_id>
</ok_state>
</notification_plan>
Example 4.59. Notification Plan Create Request: JSON
{
"label": "Notification Plan 1",
"critical_state": [
"ntAAAA"
],
"warning_state": [
"ntCCCCC"
],
"ok_state": [
"ntBBBB"
]
}
| Verb | URI | Description | |||||
| GET | /notification_plans | Lists the notification plans for this particular account. | |||||
There are no parameters for this call.
Normal Response Code: 200
Error Response Codes: 401, 403, 500, 503
Example 4.60. List Notification Plans Response: XML
<?xml version="1.0" encoding="utf-8"?>
<container>
<values>
<notification_plan>
<label>Notification Plan 1</label>
<critical_state>
<notification_id>ntAAAA</notification_id>
</critical_state>
<warning_state>
<notification_id>ntCCCCC</notification_id>
</warning_state>
<ok_state>
<notification_id>ntBBBB</notification_id>
</ok_state>
</notification_plan>
</values>
<metadata>
<count>1</count>
<limit>50</limit>
<marker/>
<next_marker/>
<next_href/>
</metadata>
</container>
Example 4.61. List Notification Plans Response: JSON
{
"values": [
{
"label": "Notification Plan 1",
"critical_state": [
"ntAAAA"
],
"warning_state": [
"ntCCCCC"
],
"ok_state": [
"ntBBBB"
]
}
],
"metadata": {
"count": 1,
"limit": 50,
"marker": null,
"next_marker": null,
"next_href": null
}
}
| Verb | URI | Description | |||||
| GET | /notification_plans/notificationPlanId |
Get information for a single notification plan. | |||||
There are no parameters for this call.
Normal Response Code: 200
Error Response Codes: 401, 403, 500, 503
Example 4.62. Get Notification Plan Response: XML
<?xml version="1.0" encoding="utf-8"?>
<notification_plan>
<label>Notification Plan 1</label>
<critical_state>
<notification_id>ntAAAA</notification_id>
</critical_state>
<warning_state>
<notification_id>ntCCCCC</notification_id>
</warning_state>
<ok_state>
<notification_id>ntBBBB</notification_id>
</ok_state>
</notification_plan>
Example 4.63. Get List Notification Plan Response: JSON
{
"label": "Notification Plan 1",
"critical_state": [
"ntAAAA"
],
"warning_state": [
"ntCCCCC"
],
"ok_state": [
"ntBBBB"
]
}
| Verb | URI | Description | |||||
| PUT | /notification_plans/notificationPlanId |
Update a notification plan with the specified notificationPlanId. Partial updates to a notification plan are acceptable. You may specify only the parameters you would like to update. | |||||
Normal Response Code: (204) This code contains no content with an empty response body.
Error Response Codes: 400, 401, 403, 404, 500, 503
Example 4.64. Notification Plan Update Request: XML
<?xml version="1.0" encoding="utf-8"?>
<notification_plan>
<critical_state>
<notification_id>ntBBBB</notification_id>
</critical_state>
<warning_state/>
</notification_plan>
Example 4.65. Notification Plan Update Request: JSON
{
"critical_state": [
"ntBBBB"
],
"warning_state": []
}

